$(function(){

	var dropbox = $('#dropbox'),
		message = $('.message', dropbox);
	
	dropbox.filedrop({
		// The name of the $_FILES entry:
		paramname:'files',
		
		url: '../../../../uploadfile/'+$('input[name="cid"]').val()+'/'+$('input[name="category"]').val()+'/'+$('input[name="subcategory"]').val()+'/'+$('input[name="example"]').val(),
		
		uploadFinished:function(i,file,response){
			$('.progress').addClass('done');
			html = "";
			html += '<div class="file">';
			html += "<strong>"+file.name+"</strong>";
			html += '<input type="hidden" value="'+file.name+'">';
			html += '<label>Language</label><input type="text" name="'+file.name.replace(/\s/g,"")+'_lang" onChange="fileupdated()">';
			html += '<label>Type</label><input type="text"  name="'+file.name.replace(/\s/g,"")+'_type" onChange="fileupdated()">';
			html += '<label>Column</label><select name="'+file.name.replace(/\s/g,"")+'_type" onChange="fileupdated()"><option>1</option><option selected>2</option></select>';
			html += "</div>";
			$('#filelist').append(html);

		},
		
    	error: function(err, file) {
			switch(err) {
				case 'BrowserNotSupported':
					showMessage('Your browser does not support HTML5 file uploads!');
					break;
				default:
					break;
			}
		},
		
		// Called before each upload is started
		beforeEach: function(file){
			
		},
		
		uploadStarted:function(i, file, len){
			
		},
		
		progressUpdated: function(i, file, progress) {
			$('.progress').width(progress);
		}
    	 
	});
	

	function showMessage(msg){
		message.html(msg);
	}

	

});

function fileupdated(){
	var fileinfo = [];
	$('.file').each(function() {
		inputs = $(this).find("input");
		selects = $(this).find("select");
		fileinfo.push({"filename":inputs.get(0).value, "lang": inputs.get(1).value, "type": inputs.get(2).value, "columnNr": selects.get(0).value});
	});
	$("input[name='files']").val(JSON.stringify(fileinfo));
}